Name: sam-sync
Summary: Cron wrapper for sam-sync.
Version: 1.0.9
Release: 1%{?dist}
License: ASL 2.0
Buildroot: %{_tmppath}/%{name}-buildroot
Group:     EGEE/SA1
BuildArch: noarch
Requires: grid-monitoring-config-gen
Source0:   %{name}-%{version}.tar.gz

%description
Installs a cron job that can be optionally enabled with
an init.d script.

The cron jobs runs sam-sync to generate a
Nagios configuration for SAM-Nagios and 
synchronize the MRS database.

%prep
%setup 

%install 
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root)
%attr(0755,root,root) /usr/sbin/sam-sync-cmd
%attr(0755,root,root) /etc/init.d/sam-sync
%config(noreplace) /etc/logrotate.d/sam-sync
%config(noreplace) /etc/cron.d/sam-sync

%post
/sbin/chkconfig --add sam-sync

%preun
if [ "$1" = 0 ] ; then
   /sbin/service sam-sync stop
   /sbin/chkconfig --del sam-sync
fi

%changelog
* Tue Jul 24 2012 Marian Babik <marian.babik@cern.ch> - 1.0.9-1%{?dist}
- SAM-2838 mrs yaim variable: MRS_BOOTSTRAPPER_timeout is not set
* Fri Jun 26 2012 Paloma Fuente <pfuentef@cern.ch> - 1.0.8-1%{?dist}
- SAM-2825 added timeout parameter to MRS bootstrapper
* Tue Jun 20 2012 Paloma Fuente <pfuentef@cern.ch> - 1.0.7-1%{?dist}
- SAM-2479 new mrs-bootstrapper for MySQL and Oracle
- SAM-2762 added locking mechanism to MRS bootstrapper
* Fri Jun 15 2012 Paloma Fuente <pfuentef@cern.ch> - 1.0.6-1%{?dist}
- MRS bootstrapper will run once per hour
* Fri Mar 30 2012 Emir Imamagic <eimamagi@srce.hr> - 1.0.5-1%{?dist}
- SAM-2473 added poem url to mrs-bootstrapping
* Thu Mar 29 2012 Emir Imamagic <eimamagi@srce.hr> - 1.0.4-1%{?dist}
- SAM-2473 added poem url to mrs-bootstrapping
* Mon Mar 26 2012 Emir Imamagic <eimamagi@srce.hr> - 1.0.3-1%{?dist}
- SAM-2559 Modify POEM and ATP sync services names
* Tue Mar 20 2012 Emir Imamagic <eimamagi@srce.hr> - 1.0.2-1%{?dist}
- Initial release

